## org.apache.commons.collections.bag
Class TransformedSortedBag

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.collection.AbstractSerializableCollectionDecorator
              org.apache.commons.collections.collection.TransformedCollection
                  org.apache.commons.collections.bag.TransformedBag
                      org.apache.commons.collections.bag.TransformedSortedBag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, Bag, SortedBag

    public class TransformedSortedBag

extends TransformedBag
implements SortedBag

Decorates another `SortedBag` to transform objects that are added.

The add methods are affected by this class. Thus objects must be removed or searched for using their transformed form. For example, if the transformation converts Strings to Integers, you must use the Integer form to remove objects.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.TransformedCollection
`transformer`

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `TransformedSortedBag(SortedBag bag, Transformer transformer)` Constructor that wraps (not copies).

Method Summary
`java.util.Comparator` `comparator()` Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.
`static SortedBag` `decorate(SortedBag bag, Transformer transformer)` Factory method to create a transforming sorted bag.
`java.lang.Object` `first()` Returns the first (lowest) member.
`protected SortedBag` `getSortedBag()` Gets the decorated bag.
`java.lang.Object` `last()` Returns the last (highest) member.

Methods inherited from class org.apache.commons.collections.bag.TransformedBag
`add, decorate, getBag, getCount, remove, uniqueSet`

Methods inherited from class org.apache.commons.collections.collection.TransformedCollection
`add, addAll, decorate, transform, transform`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.Bag
`add, add, containsAll, getCount, iterator, remove, remove, removeAll, retainAll, size, uniqueSet`

Methods inherited from interface java.util.Collection
`addAll, clear, contains, equals, hashCode, isEmpty, toArray, toArray`

Constructor Detail

### TransformedSortedBag

    protected TransformedSortedBag(SortedBag bag,
                                   Transformer transformer)

  Constructor that wraps (not copies).

  If there are any elements already in the bag being decorated, they are NOT transformed.

  Parameters:
    `bag` - the bag to decorate, must not be null
    `transformer` - the transformer to use for conversion, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if bag or transformer is null

Method Detail

### decorate

    public static SortedBag decorate(SortedBag bag,
                                     Transformer transformer)

  Factory method to create a transforming sorted bag.

  If there are any elements already in the bag being decorated, they are NOT transformed.

  Parameters:
    `bag` - the bag to decorate, must not be null
    `transformer` - the transformer to use for conversion, must not be null
  Returns:
    a new transformed SortedBag
  Throws:
    `java.lang.IllegalArgumentException` - if bag or transformer is null

### getSortedBag

    protected SortedBag getSortedBag()

  Gets the decorated bag.

  Returns:
    the decorated bag

### first

    public java.lang.Object first()

  Description copied from interface: `SortedBag`
  Returns the first (lowest) member.

  Specified by:
    `first` in interface `SortedBag`
  Returns:
    the first element in the sorted bag

### last

    public java.lang.Object last()

  Description copied from interface: `SortedBag`
  Returns the last (highest) member.

  Specified by:
    `last` in interface `SortedBag`
  Returns:
    the last element in the sorted bag

### comparator

    public java.util.Comparator comparator()

  Description copied from interface: `SortedBag`
  Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.

  Specified by:
    `comparator` in interface `SortedBag`
  Returns:
    the comparator in use, or null if natural ordering

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.